Das Paket verse scheint sich zu streiten ...

Antwort erstellen


Diese Frage dient dazu, das automatisierte Versenden von Formularen durch Spam-Bots zu verhindern.
Smilies
:D :) :( :o :shock: :? 8) :lol: :-x :P :oops: :cry: :evil: :twisted: :roll: :wink: :!: :?: :idea: :arrow: :| :mrgreen:

Markdown is OFF

BBCode ist eingeschaltet
[img] ist eingeschaltet
[flash] ist ausgeschaltet
[url] ist eingeschaltet
Smilies sind eingeschaltet

Die letzten Beiträge des Themas

Ich habe die Datenschutzerklärung gelesen und bin damit einverstanden.

   

Wenn du eine Datei oder mehrere Dateien anhängen möchtest, gib die Details unten ein.

Ansicht erweitern Die letzten Beiträge des Themas: Das Paket verse scheint sich zu streiten ...

...

von nixversteh » So 14. Okt 2018, 16:19

jepp, hast recht, habe zu viel Anderes im Kopf...

von Gast » So 14. Okt 2018, 16:17

nixversteh hat geschrieben:also scheint es nicht am Font zu liegen, hatte keinen angegeben
Und was ist das:
nixversteh hat geschrieben:

Code: Alles auswählen

\setmainfont[Numbers={OldStyle,Proportional},Ligatures={TeX, Common}]
{Libertinus Serif}
Ich glaube, du brauchst eine Pause …

Ich habe das dann mal auf beantwortet gesetzt … :roll:

...

von nixversteh » So 14. Okt 2018, 16:01

... ihr habt recht, war mental noch beim Beispiel, wo der User die Platzierung der Pakete vertauscht hat...

EDIT: Kompilieren mit pdflatex bringt nichts, also scheint es nicht am Font zu liegen, hatte keinen angegeben

Off-Topic: Minimal?

von Gast » So 14. Okt 2018, 15:16

PS: Wenn das Problem bei nicht vom Font abhängt, wäre es besser, den wegzulassen. Dann wäre das Beispiel nicht nur minimaler, sondern funktioniert auch auf Overleaf …

Re: ...

von Gast » So 14. Okt 2018, 15:14

Gast hat geschrieben:wenn hyperref vor verse geladen wird. Wenn man es nach verse lädt, wie es sich gehört, kann ich zumindest im Kleinen keinen Fehler produzieren.
nixversteh hat geschrieben:ja, ändert aber nichts...

Code: Alles auswählen

\usepackage{hyperref}
\usepackage{verse}
Das ist aber genau das Gegenteil von dem, was der andere Gast empfohlen hat. Und in der Tat, funktioniert

Code: Alles auswählen

\documentclass{scrbook}
\usepackage[ngerman]{babel}
\usepackage{fontspec}
\setmainfont[Numbers={OldStyle,Proportional},Ligatures={TeX, Common}]
{Libertinus Serif}
\usepackage{verse}
\usepackage{hyperref}
\begin{document}
   TEST
\end{document}
bei mir mit aktuellen TeX Live ohne jede Fehlermeldung.

...

von nixversteh » So 14. Okt 2018, 15:07

Hallo Gast,
ja, ändert aber nichts...

Code: Alles auswählen

%!TEX TS-program = lualatex
%!TEX encoding = UTF-8 Unicode
\documentclass{scrbook}	 	% scrbook scrreprt
\usepackage[ngerman]{babel}
\usepackage{fontspec}
\setmainfont[Numbers={OldStyle,Proportional},Ligatures={TeX, Common}]
{Libertinus Serif}
\usepackage{hyperref}
\usepackage{verse}
\begin{document}
	TEST
\end{document}


... das Beispiel aus dem Netz ergibt den gleichen Fehler...

von Gast » So 14. Okt 2018, 14:46

Gibt es da auch ein Minimalbeispiel zu? Auf gut Glück Googeln ergab https://latex.org/forum/viewtopic.php?t=4351 Und in der Tat ist es so, dass ich einen Fehler bekomme, wenn hyperref vor verse geladen wird. Wenn man es nach verse lädt, wie es sich gehört, kann ich zumindest im Kleinen keinen Fehler produzieren.

Das Paket verse scheint sich zu streiten ...

von nixversteh » So 14. Okt 2018, 14:40

Moin liebe User,

ich habe nach längerer Zeit ein Textokument kompiliert welches immer fehlerfrei durchlief. Jetzt mit aktuellem Texlive 2018 zickt es rum.
Meldung:

Code: Alles auswählen

LaTeX Error: Command \theHpoemline already defined.
               Or name \end... illegal, see p.192 of the manual.
Ich habe Mr. Google bemüht und einige Ratschläge (leider alle älteren Datums) OHNE Erfolg ausprobiert. Offensichtlich kommen sich verse und hyperref in die Quere...
Jemand eine Idee?

Nach oben